FINCORE(1)

NUME
fincore - numără paginile de conținut ale fișierelor din memorie

REZUMAT

fincore [opțiuni] fișier...

DESCRIERE

fincore counts pages of file contents being resident in memory (in core), and reports the numbers. If an error occurs during counting, then an error message is printed to the stderr and fincore continues processing the rest of files listed in a command line. fincore uses the cachestat(2) syscall to count resident pages. If the cachestat(2) syscall is not available and cachestat usage is not forced with the --cachestat option, then fincore uses the mincore(2) syscall as a fallback. The cachestat(2) syscall is more efficient than mincore because it does not require a page table lock to walks page tables, and also reports more information than mincore, like the number of cached pages, dirty pages, pages marked for writeback, evicted pages, and recently evicted pages. Another difference between the two syscalls is that if write permissions are not granted to the file, then cachestat(2) returns an error, while mincore(2) for security reasons, returns fake data as if all pages were resident in memory (c.f.r.

Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output listă-coloane în mediile în care este necesară o ieșire stabilă.

OPȚIUNI

-n, --noheadings
    Nu afișează o linie de antet în ieșirea de stare.

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-c, --total
    produce a grand total.

-C, --cachestat
    force usage of the cachestat(2) syscall instead of mincore(2), and fail if it’s not available.

-o, --output listă
    Definește coloanele de ieșire. Consultați ieșirea --help pentru a obține o listă a coloanelor acceptate în prezent. Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +lista.

--output-all
    Afișează toate coloanele disponibile.

-r, --raw
    Produce ieșirea în format brut. Toate caracterele potențial nesigure sunt eludate în format hexazecimal (\x<code>).

-J, --json
    Utilizează formatul de ieșire JSON.

-R, --recursive
    Recursively check all files in directories.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

AUTORI

CONSULTAȚI ȘI

mincore(2), getpagesize(2), getconf(1p) cachestat(2)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda fincore face parte din pachetul util-linux care poate fi descărcat de la